#ifndef NETWORK_DEVICE_DETECTOR_H
#define NETWORK_DEVICE_DETECTOR_H

#include <QObject>

#include "device_information.h"
#include "zconfservicebrowser.h"

enum class DetectResult : int
{
    DETECT_OK = 0,
    DETECT_ERROR,
};

enum class SetResult : int
{
    SET_OK = 0,
    SET_ERROR,
};

class NetworkDeviceDetector: public QObject
{
    Q_OBJECT
public:
    NetworkDeviceDetector();
    ~NetworkDeviceDetector();
private:
    QMap<QString, DeviceInformation> m_mpDevInfo;


    DetectResult detectNetWorkNode    (DeviceInformation &);

    DetectResult detectVendorAndModel (DeviceInformation &);

    DetectResult detectSerial         (DeviceInformation &);


    DeviceInformation newDeviceGet(DeviceInformation &);

    void zconfPreSet(QString name);

Q_SIGNALS:
    void autoDetectStart();
    void autoDetectStop();
    void newDeviceSend(DeviceInformation &);
    void findNetworkConnect(DeviceInformation &);
};

#endif // NETWORK_DEVICE_DETECTOR_H
